package ups_sdk

import "time"

var (
	// HttpClientTimeout HTTP超时
	HttpClientTimeout = 30 * time.Second

	// MessageReceiverVisibilityTimeout 消息保持pending的时长，超过这个时长的空闲消息会被消费者再次消费
	MessageReceiverVisibilityTimeout = 30 * time.Second

	// MessageReceiverBlockingTimeout 获取消息的阻塞时长，会影响停止接收消息时的等待时长
	MessageReceiverBlockingTimeout = 5 * time.Second

	// MessageReceiverReclaimInterval 重新拉取消息的间隔
	MessageReceiverReclaimInterval = 1 * time.Second

	// MessageReceiverBufferSize 消息队列的缓冲大小，缓存多少消息
	MessageReceiverBufferSize = 1000

	// MessageReceiverConcurrency 处理消息的协程数
	MessageReceiverConcurrency = 10
)
