package ups_sdk

type GetMessagesResponse struct {
	msgResponse
	QueryMessageResult
}

type QueryMessageResult struct {
	Infos      []MessageInfo `json:"infos"`
	TotalCount int64         `json:"totalCount"`
	PageNo     int           `json:"pageNo"`
}

type MessageInfo struct {
	ID       string
	Topic    string
	Data     string
	SendTime string
}

type Message struct {
	ID       string `json:"id"`
	Data     string `json:"data"`
	SendTime string `json:"sendTime"`
}

type UserRegisteredMessageData struct {
	UserName string `json:"userName"`
}

type UserUserNameUpdatedMessageData struct {
	OldUserName string `json:"oldUserName"`
	NewUserName string `json:"newUserName"`
}

type UserDeletedMessageData struct {
	UserName string `json:"userName"`
}
